Bug 369211 - Review Request: monit - Manages and monitors processes, files, directories and devices
Review Request: monit - Manages and monitors processes, files, directories an...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 17:54 EST by Stewart Adam
Modified: 2008-07-13 22:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 23:07:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2007-11-06 17:54:16 EST
Spec URL: http://www.diffingo.com/downloads/diffingo-repo/review/monit.spec
SRPM URL: http://www.diffingo.com/downloads/diffingo-repo/review/monit-4.10.1-1.fc8.src.rpm
Description: monit is a utility for managing and monitoring, processes, files, directories and devices on a UNIX system. Monit conducts automatic maintenance and repair and can execute meaningful causal actions in error situations.

rpmlint is silent on the SRPM, arch-specific shows this:
monit.x86_64: E: non-readable /etc/monit.conf 0600
** This is wanted, can it be added to the list of exceptions?
monit.x86_64: W: incoherent-subsys /etc/rc.d/init.d/monit $prog
** This is okay since $prog="monit"
Comment 1 Parag AN(पराग) 2007-11-07 01:44:31 EST
mock build went fine.


rpmlint warnings looks ok in this case then.
monit.i386: E: non-readable /etc/monit.conf 0600
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

monit.i386: W: incoherent-subsys /etc/rc.d/init.d/monit $prog
The filename of your lock file in /var/lock/subsys/ is incoherent
with your actual init script name. For example, if your script name
is httpd, you have to use 'httpd' as the filename in your subsys directory.
It is also possible that rpmlint gets this wrong, especially if the init
script contains nontrivial shell variables and/or assignments.  These
cases usually manifest themselves when rpmlint reports that the subsys name
starts a with '$'; in these cases a warning instead of an error is reported
and you should check the script manually.
Comment 2 Parag AN(पराग) 2007-11-07 01:59:37 EST
I saw included LICENSE file said this is GPLv3 licensed package.

Upstream is using openssl as ssl support. I think currently ssl support should
be enabled using nss. https://bugzilla.redhat.com/show_bug.cgi?id=333741

Preserve timestamp
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab
Comment 3 Stewart Adam 2007-11-07 20:21:41 EST
I don't have much experience with C or Makefiles... I managed to get Monit
recognize the --with-nss_compat option for switching for NSS, but make fails (I
think) because as NSS does not implement all the functions OpenSSL does. Can we
leave it as OpenSSL for now?

New Spec and SRPM for license and timestamp:
Spec URL: http://www.diffingo.com/downloads/diffingo-repo/review/monit.spec
SRPM URL:
http://www.diffingo.com/downloads/diffingo-repo/review/monit-4.10.1-2.fc8.src.rpm
Comment 4 Parag AN(पराग) 2007-11-07 21:25:30 EST
sure we can leave nss issue.
Comment 5 Parag AN(पराग) 2007-11-12 07:08:50 EST
mock build failed.
I got
checking for SSL include directory... Not found

Couldn't find your SSL header files.

I think you changed BR from openssl-devel to nss-devel. 
Comment 7 Parag AN(पराग) 2007-11-13 00:39:51 EST
Good to keep disttag simple as fc8 only and not fc8.1
Comment 8 Parag AN(पराग) 2007-11-13 00:46:25 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM But NOT for RPM.
monit.i386: E: non-readable /etc/monit.conf 0600
monit.i386: W: incoherent-subsys /etc/rc.d/init.d/monit $prog
monit.i386: W: incoherent-subsys /etc/rc.d/init.d/monit $prog
monit.i386: W: incoherent-subsys /etc/rc.d/init.d/monit $prog
==> looks ok to accept with these messages for this package.
+ source files match upstream url
d3143b0bbd79b53f1b019d2fc1dae656  monit-4.10.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ services scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package monit-4.10.1-2.fc8.1 ->
  Provides: config(monit) = 4.10.1-2.fc8.1
  Requires: /bin/bash config(monit) = 4.10.1-2.fc8.1 libc.so.6
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libcrypt.so.1 libcrypt.so.1(GLIBC_2.0) libcrypto.so.6
libnsl.so.1 libpthread.so.0 libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.1) libpthread.so.0(GLIBC_2.2) libresolv.so.2 libssl.so.6
rtld(GNU_HASH)
+ Not a GUI App.
APPROVED.
Comment 9 Stewart Adam 2007-11-13 08:45:07 EST
New Package CVS Request
=======================
Package Name: monit
Short Description: Manages and monitors processes, files, directories and devices
Owners: firewing
Branches: F-7 F-8
InitialCC: firewing
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2007-11-13 12:10:58 EST
cvs done.
Comment 11 Fedora Update System 2007-11-14 22:32:37 EST
monit-4.10.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Stewart Adam 2008-07-13 18:38:44 EDT
Package Change Request
======================
Package Name: monit
New Branches: EL-4 EL-5
Comment 13 Kevin Fenzi 2008-07-13 22:57:22 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.